---
title: Cargo
description: Cargo Collector Plugin
---

import Plugin from '@site/src/components/Plugins';

Collects Cargo (Rust) Packages.

<Plugin transferTag="hoppr.core_plugins.collect_cargo_plugin">
{
`  process_timeout: 60
`
}
</Plugin>

### Configuration Options
| Option          | Details                                                         |
| --------------- | -------------------------------------------------------------|
| process_timeout | Number of seconds to attempt collect before timeout.  **Default:** 60 | 

### SBOM Generation Tools
- [cyclonedx-gomod](https://github.com/CycloneDX/cyclonedx-gomod) (cli tool)
- [cyclonedx-gomod-generate-sbom](https://github.com/marketplace/actions/cyclonedx-gomod-generate-sbom) (GitHub Action)

:::note
For more tools visit the [CycloneDX Tool Center](https://cyclonedx.org/tool-center/)
:::
